Status Of A deployed product's jobs

Status Of A deployed product's jobs
Status of a deployed product's jobs

The information returned is based on the output of the bosh vms command, with some additional data added.

Request
URI
GET
https://{opsmanager-installation}/api/v0/deployed/products/{product_guid}/status
COPY
Path Parameters
string
product_guid
Required

The guid of the product


Responses
200

OK

{
    "status": [
        {
            "job-name": "string",
            "index": 0,
            "az_guid": "string",
            "az_name": "string",
            "ips": [
                "string"
            ],
            "cid": "string",
            "load_avg": [
                "string"
            ],
            "cpu": {
                "sys": "string",
                "user": "string",
                "wait": "string"
            },
            "memory": {
                "kb": "string",
                "percent": "string"
            },
            "swap": {
                "kb": "string",
                "percent": "string"
            },
            "system_disk": {
                "inode_percent": "string",
                "percent": "string"
            },
            "ephemeral_disk": {
                "inode_percent": "string",
                "percent": "string"
            },
            "persistent_disk": {
                "inode_percent": "string",
                "percent": "string"
            }
        }
    ]
}
array of status
status
Optional

status


400

Setup is not completed

Returns RequireSetupCompleted of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


401

Unauthorized

Returns UnauthorizedResponse of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


403

Forbidden

Returns ForbiddenResponse of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


422

Product not found

Returns NestedErrorsResponseVariant of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


503

Unable to connect to remote VMs to get status

Returns NestedErrorsResponseVariant of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/v0/deployed/products/{product_guid}/status